set -g default-terminal "tmux-256color"
set -ga terminal-overrides ",*:RGB"
set -g mouse on
set -g set-clipboard on

unbind C-b
set -g prefix C-a
bind-key C-a send-prefix

bind h select-pane -L
bind j select-pane -D
bind k select-pane -U
bind l select-pane -R

unbind %
bind | split-window -h -c "#{pane_current_path}"

unbind '"'
bind - split-window -v -c "#{pane_current_path}"

unbind r
bind r source-file $HOME/.config/tmux/tmux.conf

set -g base-index 1
set -g pane-base-index 1
set -g renumber-windows on

set -g mode-keys vi
bind-key -T copy-mode-vi v send-keys -X begin-selection
bind-key -T copy-mode-vi C-v send-keys -X rectangle-toggle
bind-key -T copy-mode-vi y send-keys -X copy-selection-and-cancel
unbind -T copy-mode-vi MouseDragEnd1Pane

bind -n M-h select-pane -L
bind -n M-j select-pane -D
bind -n M-k select-pane -U
bind -n M-l select-pane -R

bind -n M-1 select-window -t 1
bind -n M-2 select-window -t 2
bind -n M-3 select-window -t 3
bind -n M-4 select-window -t 4
bind -n M-5 select-window -t 5
bind -n M-6 select-window -t 6
bind -n M-7 select-window -t 7
bind -n M-8 select-window -t 8
bind -n M-9 select-window -t 9

set -g status on
set -g status-justify centre
set -g status-bg "#1a1a1a"
set -g status-fg "#ebbcba"
set -g status-style "bg=#1a1a1a,fg=#ebbcba"

set -g status-left "#[bg=#ebbcba,fg=#1a1a1a,bold] #S "
set -g status-right " #[bg=#ebbcba,fg=#1a1a1a,bold] %H:%M "
set -g window-status-current-format "#[fg=#ebbcba]#[bg=#ebbcba,fg=#1a1a1a,bold] #I: #W #[fg=#ebbcba,bg=#1a1a1a]"
set -g window-status-format "#[fg=#ebbcba]#[bg=#ebbcba,fg=#111111] #I #[fg=#ebbcba,bg=#1a1a1a]"

set -g pane-border-style "fg=#ebbcba"
set -g pane-active-border-style "fg=#ebbcba"

set -g mode-style "bg=#ebbcba,fg=#ebbcba"

set -g message-style "fg=#ebbcba,bg=#1a1a1a,bold"
set -g message-command-style "fg=#ebbcba,bg=#1a1a1a,bold"

